Page Summary
-
Retrieves a specific setting value using a GET request to the provided URL.
-
Requires the
namepath parameter to identify the setting value, using the formatprojects/*/settings/*/value. -
Returns the setting value if found, otherwise, it returns a
google.rpc.Statuswithgoogle.rpc.Code.NOT_FOUND. -
Needs authorization with the
cloud-platformOAuth scope or theresourcesettings.settingvalues.getIAM permission.
Gets a setting value.
Returns a google.rpc.Status with google.rpc.Code.NOT_FOUND if the setting value does not exist.
HTTP request
GET https://resourcesettings.googleapis.com/v1alpha1/{name=projects/*/settings/*/value}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
The name of the setting value to get. See Authorization requires the following IAM permission on the specified resource
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of SettingValue.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.